
Redmine - Feature #1102

Shortcut for assigning an issue to me

2008-04-24 22:17 - Simone Carletti

Status: Closed Start date: 2008-04-24

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

Hi,

I'm definitely missing an 'Assign to me' feature when creating a new issue.

Something I create an issue just for the sake of completeness (I use the final report as a changelog) and I love to have an easy to

use option to assign the issue to me.

The patch does the following:

1. it adds an 'Assign to Me' link next to the Assign to select box

2. it displays the link only if the user is in the assignable list and it's logged in

Associated revisions

Revision 8688 - 2012-01-21 12:06 - Jean-Philippe Lang

Adds a <<me>> option at the top of the assignee drop-down (#1102).

Revision 8689 - 2012-01-21 12:11 - Jean-Philippe Lang

Adds a <<me>> option for assignee in the context menu (#1102).

History

#1 - 2010-04-21 12:36 - Michał Zagdan

Will it be included in future versions of Redmine? I've just seen how one of my colleagues added a space before his name just to be the first on

"Assigned to" list. ;) So I think that "<< me >>" option as a first one would be great.

#2 - 2012-01-21 12:17 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Subject changed from Assign to me feature to Shortcut for assigning an issue to me

- Category set to Issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

I've committed the solution proposed by Michal (a <<me>> option at the top of the list). I've also included this option in the context menu.

#3 - 2013-08-05 03:09 - Anonymous

Sorry to comment on an old ticket but our organisation would also really like this feature.

There needs to be a button named something like 'snatch ticket' which immediately grabs the ticket and assigns it to you, rather than having to update

the ticket and set an assignee.

#4 - 2015-06-19 11:37 - Benjamin Billon

There's that: http://www.redmine.org/plugins/issue_hot_buttons

But it doesn't work on Redmine 3.X.
